# Dependencies

find_package(Eigen3 3.3.1 REQUIRED NO_MODULE)
find_package(Boost REQUIRED COMPONENTS filesystem system)
find_package(Boost COMPONENTS program_options REQUIRED)
find_dependency(ScineCore REQUIRED)
find_dependency(ScineUtilsOS REQUIRED)


if(DEFINED SCINE_MARCH AND NOT "${SCINE_MARCH}" STREQUAL "")
  message(FATAL_ERROR "You are trying to use an installed version of ReaDuct that was compiled with different -march flag values! Current march flags: ${SCINE_MARCH}, installed flags: ")
endif()
if (NOT DEFINED SCINE_MARCH)
  set(SCINE_MARCH "")
endif()

include(${CMAKE_CURRENT_LIST_DIR}/ScineReaductTargets.cmake)


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

check_required_components(Readuct)
